app:
  description: ''
  icon: 🤖
  icon_background: '#FFEAD5'
  mode: workflow
  name: 试卷+知识库出题_V2
  use_icon_as_answer_icon: false
dependencies:
- current_identifier: null
  type: marketplace
  value:
    marketplace_plugin_unique_identifier: langgenius/openai_api_compatible:0.0.11@410445eba2fa0f693d26dea2c3b9ffe51ad0777e021146ff877af6098412efc7
- current_identifier: null
  type: marketplace
  value:
    marketplace_plugin_unique_identifier: langgenius/siliconflow:0.0.7@8b9d2f57d314120744c245b6fe4f8701e1a7490a500d9fb74e9e9dceeaea5f70
- current_identifier: null
  type: marketplace
  value:
    marketplace_plugin_unique_identifier: langgenius/feishu_document:0.0.1@5c16426317d871a0abf4d81bec1d1ef1a5b7f34491d429a453c13bdc1fb2fa82
kind: app
version: 0.1.5
workflow:
  conversation_variables: []
  environment_variables:
  - description: ''
    id: e7a617b9-6a96-4811-9fb8-d72196ae6c15
    name: ssss
    selector:
    - env
    - ssss
    value: ddddd
    value_type: string
  features:
    file_upload:
      allowed_file_extensions:
      - .JPG
      - .JPEG
      - .PNG
      - .GIF
      - .WEBP
      - .SVG
      allowed_file_types:
      - image
      allowed_file_upload_methods:
      - local_file
      - remote_url
      enabled: false
      fileUploadConfig:
        audio_file_size_limit: 50
        batch_count_limit: 5
        file_size_limit: 15
        image_file_size_limit: 10
        video_file_size_limit: 100
        workflow_file_upload_limit: 10
      image:
        enabled: false
        number_limits: 3
        transfer_methods:
        - local_file
        - remote_url
      number_limits: 3
    opening_statement: ''
    retriever_resource:
      enabled: true
    sensitive_word_avoidance:
      enabled: false
    speech_to_text:
      enabled: false
    suggested_questions: []
    suggested_questions_after_answer:
      enabled: false
    text_to_speech:
      enabled: false
      language: ''
      voice: ''
  graph:
    edges:
    - data:
        isInIteration: false
        sourceType: llm
        targetType: tool
      id: 1742391616523-source-17423917834550-target
      selected: false
      source: '1742391616523'
      sourceHandle: source
      target: '17423917834550'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: llm
        targetType: tool
      id: 17423942441560-source-17423942239130-target
      source: '17423942441560'
      sourceHandle: source
      target: '17423942239130'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        sourceType: llm
        targetType: tool
      id: 17423942058920-source-17423942502370-target
      source: '17423942058920'
      sourceHandle: source
      target: '17423942502370'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: tool
        targetType: end
      id: 17423917834550-source-1742827439882-target
      source: '17423917834550'
      sourceHandle: source
      target: '1742827439882'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: tool
        targetType: end
      id: 17423942239130-source-1742827454041-target
      source: '17423942239130'
      sourceHandle: source
      target: '1742827454041'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: tool
        targetType: end
      id: 17423942502370-source-1742827463368-target
      selected: false
      source: '17423942502370'
      sourceHandle: source
      target: '1742827463368'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInLoop: false
        sourceType: start
        targetType: tool
      id: 1742380119082-source-1742383635487-target
      source: '1742380119082'
      sourceHandle: source
      target: '1742383635487'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInLoop: false
        sourceType: knowledge-retrieval
        targetType: llm
      id: 1742997465192-source-1742391616523-target
      source: '1742997465192'
      sourceHandle: source
      target: '1742391616523'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInLoop: false
        sourceType: knowledge-retrieval
        targetType: llm
      id: 1742997465192-source-17423942441560-target
      source: '1742997465192'
      sourceHandle: source
      target: '17423942441560'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInLoop: false
        sourceType: knowledge-retrieval
        targetType: llm
      id: 1742997465192-source-17423942058920-target
      source: '1742997465192'
      sourceHandle: source
      target: '17423942058920'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: tool
        targetType: template-transform
      id: 1742383635487-source-1742999703041-target
      source: '1742383635487'
      sourceHandle: source
      target: '1742999703041'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInIteration: false
        isInLoop: false
        sourceType: template-transform
        targetType: llm
      id: 1742999703041-source-1743003142756-target
      source: '1742999703041'
      sourceHandle: source
      target: '1743003142756'
      targetHandle: target
      type: custom
      zIndex: 0
    - data:
        isInLoop: false
        sourceType: llm
        targetType: knowledge-retrieval
      id: 1743003142756-source-1742997465192-target
      source: '1743003142756'
      sourceHandle: source
      target: '1742997465192'
      targetHandle: target
      type: custom
      zIndex: 0
    nodes:
    - data:
        desc: ''
        selected: false
        title: 开始
        type: start
        variables:
        - label: 判断题数量
          max_length: 48
          options: []
          required: false
          type: text-input
          variable: pdt
        - label: 填空题数量
          max_length: 48
          options: []
          required: false
          type: text-input
          variable: tkt
        - label: 选择题数量
          max_length: 48
          options: []
          required: false
          type: text-input
          variable: xzt
        - label: 生成范围
          max_length: 999
          options: []
          required: true
          type: paragraph
          variable: content
        - label: 考试名称
          max_length: 20
          options: []
          required: true
          type: text-input
          variable: name
      height: 194
      id: '1742380119082'
      position:
        x: -44.61861971109636
        y: 196.94494367038754
      positionAbsolute:
        x: -44.61861971109636
        y: 196.94494367038754
      selected: true
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        provider_id: feishu_document
        provider_name: feishu_document
        provider_type: builtin
        selected: false
        title: 创建word文档
        tool_configurations: {}
        tool_label: 创建飞书文档
        tool_name: create_document
        tool_parameters:
          content:
            type: mixed
            value: 出题老师：论无忧
          folder_token:
            type: mixed
            value: ''
          title:
            type: mixed
            value: '{{#1742380119082.name#}}'
        type: tool
      height: 54
      id: '1742383635487'
      position:
        x: 350.0256169586356
        y: 63.875071852265734
      positionAbsolute:
        x: 350.0256169586356
        y: 63.875071852265734
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        context:
          enabled: true
          variable_selector:
          - '1742380119082'
          - pdt
        desc: ''
        model:
          completion_params: {}
          mode: chat
          name: Qwen/Qwen2.5-72B-Instruct
          provider: langgenius/siliconflow/siliconflow
        prompt_template:
        - id: e609bd0e-2b3e-4f10-a326-a28103da6859
          role: system
          text: 你是一个考试类的专家，可以为老师生成质量高的试卷内容，并且能按要求输出
        - id: 15e29f14-cc68-43e8-8993-450ca409888d
          role: user
          text: '根据 {{#context#}} 的内容，按照下面的格式，生成{{#1742380119082.pdt#}}道判断题：

            #参考格式

            一、判断题

            在标准大气压下，冰水混合物的温度是 0℃。（  ）​

            【答案】：正确​

            【解析】：在标准大气压下，冰水混合物的温度被定义为 0℃。​

            同一种晶体的熔点和凝固点相同。（  ）​

            【答案】：正确​

            【解析】：同一种晶体的熔点和凝固点是相同的，这是晶体的重要特性。

            ### 内容中不要输出 “好的，以下是根据你提供的文档”'
        selected: false
        title: 判断题
        type: llm
        variables: []
        vision:
          enabled: false
      height: 90
      id: '1742391616523'
      position:
        x: 1499.8434338660554
        y: 221.81781690741968
      positionAbsolute:
        x: 1499.8434338660554
        y: 221.81781690741968
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        provider_id: feishu_document
        provider_name: feishu_document
        provider_type: builtin
        selected: false
        title: 判断题添加完成
        tool_configurations:
          position: end
        tool_label: 在飞书文档中新增内容
        tool_name: write_document
        tool_parameters:
          content:
            type: mixed
            value: '{{#1742391616523.text#}}'
          document_id:
            type: mixed
            value: '{{#1743003142756.text#}}'
        type: tool
      height: 90
      id: '17423917834550'
      position:
        x: 1893.3857775193712
        y: 205.45564933749267
      positionAbsolute:
        x: 1893.3857775193712
        y: 205.45564933749267
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        context:
          enabled: false
          variable_selector: []
        desc: ''
        model:
          completion_params: {}
          mode: chat
          name: Qwen/Qwen2.5-72B-Instruct
          provider: langgenius/siliconflow/siliconflow
        prompt_template:
        - id: e609bd0e-2b3e-4f10-a326-a28103da6859
          role: system
          text: 你是一个考试类的专家，可以为老师生成质量高的试卷内容，并且能按要求输出
        - id: 15e29f14-cc68-43e8-8993-450ca409888d
          role: user
          text: '根据 {{#context#}}的内容，按照下面的格式，生成 {{#1742380119082.tkt#}}道填空题：


            #参考格式

            三、填空题

            1、题干内容（含空白处，用下划线或括号表示）

            [答案：正确答案内容（词语、短语或数值）]

            [解析：对答案的解释（可包含知识点、逻辑推导或易错点）]


            示例：

            1、中国的首都是______。

            [答案：北京]

            [解析：北京是中华人民共和国的首都，自 1949 年新中国成立以来即为政治、文化中心。]


            ### 严格按照参考格式输出

            ### 内容中不要输出 “好的，以下是根据你提供的文档”'
        selected: false
        title: 填空题
        type: llm
        variables: []
        vision:
          enabled: false
      height: 90
      id: '17423942058920'
      position:
        x: 1539.6400310453068
        y: 580.0656661936965
      positionAbsolute:
        x: 1539.6400310453068
        y: 580.0656661936965
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        provider_id: feishu_document
        provider_name: feishu_document
        provider_type: builtin
        selected: false
        title: 选择题添加完成
        tool_configurations:
          position: end
        tool_label: 在飞书文档中新增内容
        tool_name: write_document
        tool_parameters:
          content:
            type: mixed
            value: '{{#17423942441560.text#}}'
          document_id:
            type: mixed
            value: '{{#1743003142756.text#}}'
        type: tool
      height: 90
      id: '17423942239130'
      position:
        x: 1883.4366282245587
        y: 388.46606759553487
      positionAbsolute:
        x: 1883.4366282245587
        y: 388.46606759553487
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        context:
          enabled: false
          variable_selector: []
        desc: ''
        model:
          completion_params: {}
          mode: chat
          name: Qwen/Qwen2.5-72B-Instruct
          provider: langgenius/siliconflow/siliconflow
        prompt_template:
        - id: e609bd0e-2b3e-4f10-a326-a28103da6859
          role: system
          text: 你是一个考试类的专家，可以为老师生成质量高的试卷内容，并且能按要求输出
        - id: 15e29f14-cc68-43e8-8993-450ca409888d
          role: user
          text: '##依据 {{#context#}}的内容，按照以下格式，生成  {{#1742380119082.xzt#}}道选择题；

            参考格式：

            二、选择题

            1、题干内容（疑问句或不完整陈述句）

            A.选项一内容

            B.选项二内容

            C.选项三内容

            D.选项四内容

            【正确答案】：正确选项字母

            【解析】：对正确答案的详细解释（可包含知识点、逻辑、推导过程或错误选项排除原因）

            示例：

            1、在标准大气压下，冰水混合物的温度是多少摄氏度？

            A. 0℃

            B. 100℃

            C. -18℃

            D. 37℃

            【正确答案】：A

            【解析】：在标准大气压下，冰水混合物的温度定义为0℃。

            2、关于熔点和凝固点的关系，以下说法正确的是：

            A. 同一种晶体的熔点和凝固点相同。

            B. 同一种晶体的熔点和凝固点不同。

            C. 晶体的熔点总是高于其凝固点。

            D. 晶体的熔点总是低于其凝固点。

            【正确答案】：A

            【解析】：同一种晶体的熔点和凝固点是相同的，这是晶体的一个重要特性。

            ## 严格按照参考格式输出

            ## 内容中不要输出 “好的，以下是根据你提供的文档生成的 XXX 道 XXX 题：”'
        selected: false
        title: 选择题
        type: llm
        variables: []
        vision:
          enabled: false
      height: 90
      id: '17423942441560'
      position:
        x: 1512.2798704845713
        y: 379.177977468155
      positionAbsolute:
        x: 1512.2798704845713
        y: 379.177977468155
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        provider_id: feishu_document
        provider_name: feishu_document
        provider_type: builtin
        selected: false
        title: 填空添加完成
        tool_configurations:
          position: end
        tool_label: 在飞书文档中新增内容
        tool_name: write_document
        tool_parameters:
          content:
            type: mixed
            value: '{{#17423942058920.text#}}'
          document_id:
            type: mixed
            value: '{{#1743003142756.text#}}'
        type: tool
      height: 90
      id: '17423942502370'
      position:
        x: 1939.4005930078806
        y: 614.8876887255415
      positionAbsolute:
        x: 1939.4005930078806
        y: 614.8876887255415
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        outputs:
        - value_selector:
          - '1743003142756'
          - text
          variable: text
        selected: false
        title: 判断题结束
        type: end
      height: 90
      id: '1742827439882'
      position:
        x: 2356.5721662363767
        y: 260.37077042481945
      positionAbsolute:
        x: 2356.5721662363767
        y: 260.37077042481945
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        outputs:
        - value_selector:
          - '1743003142756'
          - text
          variable: text
        selected: false
        title: 选择题结束
        type: end
      height: 90
      id: '1742827454041'
      position:
        x: 2327.968362013789
        y: 421.46186197110967
      positionAbsolute:
        x: 2327.968362013789
        y: 421.46186197110967
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        outputs:
        - value_selector:
          - '1743003142756'
          - text
          variable: text
        selected: false
        title: 填空题结束
        type: end
      height: 90
      id: '1742827463368'
      position:
        x: 2342.892085956009
        y: 580.0656661936965
      positionAbsolute:
        x: 2342.892085956009
        y: 580.0656661936965
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        dataset_ids:
        - 79a2b92a-af9c-4e9b-9de4-8a62dd4338c1
        desc: ''
        multiple_retrieval_config:
          reranking_enable: false
          reranking_mode: reranking_model
          reranking_model:
            model: netease-youdao/bce-reranker-base_v1
            provider: langgenius/siliconflow/siliconflow
          score_threshold: null
          top_k: 10
        query_variable_selector:
        - '1742380119082'
        - content
        retrieval_mode: multiple
        selected: false
        title: 知识检索
        type: knowledge-retrieval
      height: 92
      id: '1742997465192'
      position:
        x: 307.46080888656627
        y: 560.0888929310564
      positionAbsolute:
        x: 307.46080888656627
        y: 560.0888929310564
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        desc: ''
        selected: false
        template: '{{ arg1 }}'
        title: 模板转换
        type: template-transform
        variables:
        - value_selector:
          - '1742383635487'
          - json
          variable: arg1
      height: 54
      id: '1742999703041'
      position:
        x: 350.0256169586356
        y: 205.45564933749267
      positionAbsolute:
        x: 350.0256169586356
        y: 205.45564933749267
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    - data:
        context:
          enabled: true
          variable_selector:
          - '1742999703041'
          - output
        desc: ''
        model:
          completion_params: {}
          mode: chat
          name: gpt-4o-mini
          provider: langgenius/openai_api_compatible/openai_api_compatible
        prompt_template:
        - id: 5f213672-7bb0-4ee3-b5da-46a16f8009e1
          role: system
          text: 提取{{#1742999703041.output#}} 的url部分的内容 只输出http地址，只输出http结果，不输出json格式，纯字符串
        selected: false
        title: 提取目标文档存储路径
        type: llm
        variables: []
        vision:
          enabled: false
      height: 90
      id: '1743003142756'
      position:
        x: 325.7036902298116
        y: 388.46606759553487
      positionAbsolute:
        x: 325.7036902298116
        y: 388.46606759553487
      selected: false
      sourcePosition: right
      targetPosition: left
      type: custom
      width: 244
    viewport:
      x: 185.50137420030399
      y: 188.77857990933154
      zoom: 0.5305007982786395
